"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _axios = _interopRequireDefault(require("axios"));

var _index = _interopRequireDefault(require("@/config/index.js"));

var _common = require("@/utils/common.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

//import { Toast } from "vant";
var service = _axios["default"].create({
  baseURL: _index["default"].apiUrl + "/" + _index["default"].apiPrefix,
  headers: {
    Accept: "*/*"
  },
  timeout: _index["default"].timeout
});

service.defaults.retry = _index["default"].requestRetry;
service.defaults.retryDelay = _index["default"].requestRetryDelay; // let LoadingInstance = null;

var isApp = false;
service.interceptors.request.use(function (config) {
  if (!config.closeLoading) {//加载提示
    // window.LoadingInstance = Toast.loading({
    //     mask: true,
    //     message: '加载中...'
    // });
  }

  config.err403 && (isApp = config.err403);
  config.headers["Authorization"] = (0, _common.getToken)();
  return config;
}, function (error) {
  Promise.reject(error);
});
service.interceptors.response.use(function (res) {
  //if(LoadingInstance){LoadingInstance.clear();}
  if (res.status !== 200) {
    if (res.status === 403 && !isApp) window.parent ? location.location.href = "/login.html" : location.href = "/login.html";

    if (res.status === 403 && isApp) {
      // 调用app登录
      window.webkit && window.webkit.messageHandlers.doLogin.postMessage();
      window.H5Listener && window.H5Listener.doLogin();
    } //Toast('数据返回出错');


    return Promise.reject("响应非200！");
  } else {
    if (res.data.code != 0) {
      if (res.config.closeInterceptors) {
        return Promise.reject(res.data); //自己处理错误
      } //统一处理错误


      return Promise.reject("error");
    }

    return res.data.data;
  }
}, function (error) {
  //if(LoadingInstance){LoadingInstance.clear();}
  //Toast("网络错误");
  if (/403/.test(error.toString())) window.parent ? window.parent.location.href = "/login.html" : location.href = "/login.html";
  return Promise.reject(error);
});
var _default = service;
exports["default"] = _default;